# Method: alerts.list

- [HTTP request](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/list#body.request_body)
- [Response body](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/list#body.ListAlertsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/list#body.aspect)
- [Examples](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/list#examples)

Lists the alerts.

### HTTP request

`GET https://alertcenter.googleapis.com/v1beta1/alerts`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `customerId` | `string` Optional. The unique identifier of the Google Workspace account of the customer the alerts are associated with. The `customerId` must have the initial "C" stripped (for example, `046psxkn`). Inferred from the caller identity if not provided. [Find your customer ID](https://support.google.com/cloudidentity/answer/10070793). |
| `pageSize` | `integer` Optional. The requested page size. Server may return fewer items than requested. If unspecified, server picks an appropriate default. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. If empty, a new iteration is started. To continue an iteration, pass in the value from the previous ListAlertsResponse's `https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/list#body.ListAlertsResponse.FIELDS.next_page_token` field. |
| `filter` | `string` Optional. A query string for filtering alert results. For more details, see [Query filters](https://developers.google.com/workspace/admin/alertcenter/guides/query-filters) and [Supported query filter fields](https://developers.google.com/workspace/admin/alertcenter/reference/filter-fields#alerts.list). |
| `orderBy` | `string` Optional. The sort order of the list results. If not specified results may be returned in arbitrary order. You can sort the results in descending order based on the creation timestamp using `orderBy="createTime desc"`. Currently, supported sorting are `createTime asc`, `createTime desc`, `updateTime desc` |

### Request body

The request body must be empty.

### Response body

Response message for an alert listing request.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "alerts": [ { object (`https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts#Alert`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `alerts[]` | ``object (`https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts#Alert`)`` The list of alerts. |
| `nextPageToken` | `string` The token for the next page. If not empty, indicates that there may be more alerts that match the listing request; this value can be used in a subsequent `ListAlertsRequest` to get alerts continuing from last result of the current list call. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/apps.alerts`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).